RagTime5LayoutInternal::LayoutCParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
RagTime5LayoutInternal::LayoutCParser Struct Reference

low level: parser of layout cluster More...

Inheritance diagram for RagTime5LayoutInternal::LayoutCParser:

## Public Member Functions
| LayoutCParser (RagTime5ClusterManager &parser, int zoneType)
| constructor More...
virtual | ~LayoutCParser ()
| destructor More...
shared_ptr< RagTime5ClusterManager::Cluster > | getCluster ()
| return the current cluster More...
shared_ptr< ClusterLayout > | getLayoutCluster ()
| return the current layout cluster More...
void | startZone ()
| start a new zone More...
void | endZone ()
| end of a start zone call More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f)
| parse a field More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Member Functions
bool | parseZoneBlock (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a zone block More...
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone More...

## Protected Attributes
shared_ptr< ClusterLayout > | m_cluster
| the current cluster More...
int | m_actualZoneId
| the actual zone id More...
int | m_numZones
| the number of zones More...
int | m_what
| a index to know which field is parsed : 0: main, 1:list of zones, 2: unknown, 3:data0, 4:list, 5: unknown More...
int | m_linkId
| the link id : 0: listItem, 1: pipeline, 2: settinglinks, 3: namelink, More...
std::string | m_fieldName
| the actual field name More...
ClusterLayout::Zone | m_actualZone
| the actual zone More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of layout cluster

## Constructor & Destructor Documentation

RagTime5LayoutInternal::LayoutCParser::LayoutCParser | ( | RagTime5ClusterManager & | parser,
|  | int | zoneType
| ) |  |
| inline

constructor

RagTime5LayoutInternal::LayoutCParser::~LayoutCParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

void RagTime5LayoutInternal::LayoutCParser::endZone | ( |  | ) |
| inlinevirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

shared_ptr<RagTime5ClusterManager::Cluster> RagTime5LayoutInternal::LayoutCParser::getCluster | ( |  | ) |
| inlinevirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

shared_ptr<ClusterLayout> RagTime5LayoutInternal::LayoutCParser::getLayoutCluster | ( |  | ) |
| inline

return the current layout cluster

bool RagTime5LayoutInternal::LayoutCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

bool RagTime5LayoutInternal::LayoutCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlineprotected

parse the header zone

bool RagTime5LayoutInternal::LayoutCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

bool RagTime5LayoutInternal::LayoutCParser::parseZoneBlock | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlineprotected

parse a zone block

void RagTime5LayoutInternal::LayoutCParser::startZone | ( |  | ) |
| inlinevirtual

start a new zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

ClusterLayout::Zone RagTime5LayoutInternal::LayoutCParser::m_actualZone
| protected

the actual zone

int RagTime5LayoutInternal::LayoutCParser::m_actualZoneId
| protected

the actual zone id

shared_ptr<ClusterLayout> RagTime5LayoutInternal::LayoutCParser::m_cluster
| protected

the current cluster

std::string RagTime5LayoutInternal::LayoutCParser::m_fieldName
| protected

the actual field name

int RagTime5LayoutInternal::LayoutCParser::m_linkId
| protected

the link id : 0: listItem, 1: pipeline, 2: settinglinks, 3: namelink,

int RagTime5LayoutInternal::LayoutCParser::m_numZones
| protected

the number of zones

int RagTime5LayoutInternal::LayoutCParser::m_what
| protected

a index to know which field is parsed : 0: main, 1:list of zones, 2: unknown, 3:data0, 4:list, 5: unknown

The documentation for this struct was generated from the following file:

- RagTime5Layout.cxx